package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysReportMapper;
import com.ruoyi.system.domain.SysReport;
import com.ruoyi.system.service.ISysReportService;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author ruoyi
 * @date 2022-06-20
 */
@Service
public class SysReportServiceImpl implements ISysReportService 
{
    @Autowired
    private SysReportMapper sysReportMapper;

    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public SysReport selectSysReportById(Long id)
    {
        return sysReportMapper.selectSysReportById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param sysReport 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<SysReport> selectSysReportList(SysReport sysReport)
    {
        return sysReportMapper.selectSysReportList(sysReport);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param sysReport 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertSysReport(SysReport sysReport)
    {
        sysReport.setCreateTime(DateUtils.getNowDate());
        return sysReportMapper.insertSysReport(sysReport);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param sysReport 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateSysReport(SysReport sysReport)
    {
        sysReport.setUpdateTime(DateUtils.getNowDate());
        return sysReportMapper.updateSysReport(sysReport);
    }

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteSysReportByIds(Long[] ids)
    {
        return sysReportMapper.deleteSysReportByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteSysReportById(Long id)
    {
        return sysReportMapper.deleteSysReportById(id);
    }
}
